Package twisted :: Package conch :: Module identity :: Class OpenSSHConchIdentity

[frames | no frames]

## Class OpenSSHConchIdentity

     Identity --+
                |
    ConchIdentity --+
                    |
                   OpenSSHConchIdentity

Method Summary
`str` | ``getHomeDir`(self)` Return the users home directory.
`str` | ``getShell`(self)` Return the users shell.
`tuple` | ``getUserGroupID`(self)` Return a uid and gid for this user as a tuple (uid, gid).
`Deferred` | ``validatePublicKey`(self, pubKeyString)` This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user.
| `verifyPlainPassword(self, password)`
Inherited from ConchIdentity
| ``addClientForService`(self, serviceName, clientClass)` Adds a client class for the given service.
| ``addServiceForSelf`(self, serviceName)` This will add the service, using our name as the name for the perspective.
Inherited from Identity
| ``__init__`(self, name, authorizer)` Create an identity.
| ``__repr__`(self)`
| ``addKeyByString`(self, serviceName, perspectiveName)` Put a key on my keyring.
| ``addKeyForPerspective`(self, perspective)` Add a key for the given perspective.
| ``challenge`(self)` I return some random data.
| ``getAllKeys`(self)` Returns a list of all services and perspectives this identity can connect to.
| ``removeKey`(self, serviceName, perspectiveName)` Remove a key from my keyring.
| ``requestPerspectiveForKey`(self, serviceName, perspectiveName)` Get a perspective request (a Deferred) for the given key.
| ``requestPerspectiveForService`(self, serviceName)` Get the first available perspective for a given service.
| ``save`(self)` Persist this Identity to the authorizer.
| ``setAlreadyHashedPassword`(self, cyphertext)` (legacy) Set a password for this identity, already md5 hashed.
| ``setPassword`(self, plaintext)`
| ``upgradeToVersion2`(self)`
| ``verifyPassword`(self, challenge, hashedPassword)` Verify a challenge/response password.

Class Variable Summary
Inherited from ConchIdentity
`dict` | `clients` = `{}`
Inherited from Identity
`NoneType` | `hashedPassword` = None

Method Details

### getHomeDir(self)

Return the users home directory.

  Returns:
    `str`
  Overrides:
    `twisted.conch.identity.ConchIdentity.getHomeDir` (inherited documentation)

### getShell(self)

Return the users shell.

  Returns:
    `str`
  Overrides:
    `twisted.conch.identity.ConchIdentity.getShell` (inherited documentation)

### getUserGroupID(self)

Return a uid and gid for this user as a tuple (uid, gid).

  Returns:
    `tuple`
  Overrides:
    `twisted.conch.identity.ConchIdentity.getUserGroupID` (inherited documentation)

### validatePublicKey(self, pubKeyString)

This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user.

  Parameters:
    `pubKeyString`
    (type=`str`)
  Returns:
    `Deferred`
  Overrides:
    `twisted.conch.identity.ConchIdentity.validatePublicKey` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:16 2004 | http://epydoc.sf.net